import {request} from '@/axios/request'

export default {
    //分类列表
    getCategoryList(parames){
        return request.get("/news/getCategoryList",parames)
    },
    //查询所有分类
    categoryList(parames){
        return request.get("/news/categoryList",parames)
    },
    //添加分类
    addCategory(parames){
        return request.post("/news/addCategory",parames)
    },
    //删除分类
    delCategory(parames){
        return request.post("/news/delCategory",parames)
    },
    //更新分类
    updateCategory(parames){
        return request.post("/news/updateCategory",parames)
    },
    //资讯列表
    getArticleList(parames){
        return request.get("/news/getArticleList",parames)
    },
    //添加资讯
    addArticle(parames){
        return request.post("/news/addArticle",parames)
    },
    //删除资讯
    delArticle(parames){
        return request.post("/news/delArticle",parames)
    },
    //更新自信
    updateArticle(parames){
        return request.post("/news/updateArticle",parames)
    },
    //获取资讯详情
    getArticleInfo(parames){
        return request.get("/news/getArticleInfo",parames)
    },
    
}
